org.apache.jmeter.protocol.http.util.accesslog

## Class SharedTCLogParser

- java.lang.Object
- - org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
  - - org.apache.jmeter.protocol.http.util.accesslog.SharedTCLogParser

All Implemented Interfaces:
  Cloneable, LogParser, TestCloneable

Direct Known Subclasses:
  OrderPreservingLogParser

    public class SharedTCLogParser
    extends TCLogParser
    implements TestCloneable

### Field Summary

### Fields inherited from class org.apache.jmeter.protocol.http.util.accesslog.TCLogParser

`decode, FILENAME, FILTER, GET, HEAD, log, POST, READER, RMETHOD, SOURCE, URL_PATH, useFILE`

### Constructor Summary

Constructors
Constructor and Description
`SharedTCLogParser()`
`SharedTCLogParser(String source)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`void` `close()` close the any streams or readers.
`protected int` `parse(FileServer breader, TestElement el, int parseCount)` The method is responsible for reading each line, and breaking out of the while loop if a set number of lines is given.
`int` `parse(TestElement el, int parseCount)` parse the entire file.

### Methods inherited from class org.apache.jmeter.protocol.http.util.accesslog.TCLogParser

`checkMethod, checkParamFormat, checkURL, cleanURL, convertStringToJMRequest, convertStringtoNVPair, decodeParameterValue, parse, parseAndConfigure, parseLine, parseOneParameter, parseParameters, setDecodeParameterValues, setFilter, setSourceFile, setUseParsedFile, stripFile, tokenize`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedTCLogParser

    public SharedTCLogParser()

#### SharedTCLogParser

    public SharedTCLogParser(String source)

### Method Detail

#### clone

    public Object clone()

Specified by:
  `clone` in interface `TestCloneable`
Overrides:
  `clone` in class `Object`

#### parse

    public int parse(TestElement el,
                     int parseCount)

parse the entire file.

Overrides:
  `parse` in class `TCLogParser`
Parameters:
  `el` - TestElement to read the lines into
  `parseCount` - number of max lines to read
Returns:
  number of read lines, or `-1` if an error occurred while reading

#### parse

    protected int parse(FileServer breader,
                        TestElement el,
                        int parseCount)

The method is responsible for reading each line, and breaking out of the while loop if a set number of lines is given.

Parameters:
  `breader` - reader to read lines from
  `el` - `TestElement` in which to add the parsed lines
  `parseCount` - max number of lines to parse
Returns:
  number of read lines

#### close

    public void close()

close the any streams or readers.

Specified by:
  `close` in interface `LogParser`
Overrides:
  `close` in class `TCLogParser`